<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.muc.MucRoomHandler</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.muc-module.html">Module&nbsp;muc</a> ::
        Class&nbsp;MucRoomHandler
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class MucRoomHandler</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler">source&nbsp;code</a></span></p>
<p>Base class for MUC room handlers.</p>
<p>Methods of this class will be called for various events in the room.</p>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__init__"></a><span class="summary-sig-name">__init__</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Initialize a <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html" class="link">MucRoomHandler</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#assign_state" class="summary-sig-name">assign_state</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">state_obj</span>)</span><br />
      Assign a state object to this <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html" class="link">MucRoomHandler</a> instance.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.assign_state">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#room_created" class="summary-sig-name">room_created</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when the room has been created.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.room_created">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#configuration_form_received" class="summary-sig-name">configuration_form_received</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">form</span>)</span><br />
      Called when a requested configuration form is received.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.configuration_form_received">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="room_configured"></a><span class="summary-sig-name">room_configured</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Called after a successfull room configuration.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.room_configured">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#user_joined" class="summary-sig-name">user_joined</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when a new participant joins the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.user_joined">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#user_left" class="summary-sig-name">user_left</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when a participant leaves the room.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.user_left">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#role_changed" class="summary-sig-name">role_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">old_role</span>,
        <span class="summary-sig-arg">new_role</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when a role of an user has been changed.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.role_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#affiliation_changed" class="summary-sig-name">affiliation_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">old_aff</span>,
        <span class="summary-sig-arg">new_aff</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when a affiliation of an user has been changed.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.affiliation_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#nick_change" class="summary-sig-name">nick_change</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">new_nick</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when user nick change is started.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.nick_change">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#nick_changed" class="summary-sig-name">nick_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">old_nick</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called after a user nick has been changed.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.nick_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#presence_changed" class="summary-sig-name">presence_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called whenever user's presence changes (includes nick, role or
affiliation changes).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.presence_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#subject_changed" class="summary-sig-name">subject_changed</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when the room subject has been changed.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.subject_changed">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#message_received" class="summary-sig-name">message_received</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">user</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when groupchat message has been received.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.message_received">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#room_configuration_error" class="summary-sig-name">room_configuration_error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when an error stanza is received in reply to a room
configuration request.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.room_configuration_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#error" class="summary-sig-name">error</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza</span>)</span><br />
      Called when an error stanza is received.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="room_state"></a><span class="summary-name">room_state</span><br />
      : MucRoomState object describing room state and its
participants.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="assign_state"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">assign_state</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">state_obj</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.assign_state">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Assign a state object to this <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html" class="link">MucRoomHandler</a> instance.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>state_obj</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomState-class.html" class="link">MucRoomState</a>) - : the state object.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="room_created"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">room_created</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.room_created">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when the room has been created.</p>
<p>Default action is to request an &quot;instant room&quot; by accepting the default
configuration. Instead the application may want to request a
configuration form and submit it.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="configuration_form_received"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">configuration_form_received</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">form</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.configuration_form_received">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when a requested configuration form is received.</p>
<p>The form, after filling-in shoul be passed to <code class="link">self.room_state.configure_room</code>.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>form</code></strong> (: <a href="pyxmpp.jabber.dataforms.Form-class.html" class="link">pyxmpp.jabber.dataforms.Form</a>) - : the configuration form.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="user_joined"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">user_joined</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.user_joined">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when a new participant joins the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user joining.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="user_left"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">user_left</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.user_left">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when a participant leaves the room.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user leaving.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="role_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">role_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">old_role</span>,
        <span class="sig-arg">new_role</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.role_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when a role of an user has been changed.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user (after update).</li>
        <li><strong class="pname"><code>old_role</code></strong> (: <code class="link">unicode</code>) - : user's role before update.</li>
        <li><strong class="pname"><code>new_role</code></strong> (: <code class="link">unicode</code>) - : user's role after update.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="affiliation_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">affiliation_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">old_aff</span>,
        <span class="sig-arg">new_aff</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.affiliation_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when a affiliation of an user has been changed.</p>
<p><code class="link">user</code> MucRoomUser object describing the user (after update).
<code class="link">old_aff</code> is user's affiliation before update.
<code class="link">new_aff</code> is user's affiliation after update.
<a href="pyxmpp.stanza-module.html" class="link">stanza</a> the stanza received.</p>
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="nick_change"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">nick_change</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">new_nick</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.nick_change">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when user nick change is started.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user (before update).</li>
        <li><strong class="pname"><code>new_nick</code></strong> (: <code class="link">unicode</code>) - : the new nick.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="nick_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">nick_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">old_nick</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.nick_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called after a user nick has been changed.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user (after update).</li>
        <li><strong class="pname"><code>old_nick</code></strong> (: <code class="link">unicode</code>) - : the old nick.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="presence_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">presence_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.presence_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called whenever user's presence changes (includes nick, role or
affiliation changes).
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : MucRoomUser object describing the user.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="subject_changed"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">subject_changed</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.subject_changed">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when the room subject has been changed.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the user changing the subject.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza used to change the subject.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="message_received"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">message_received</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">user</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.message_received">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when groupchat message has been received.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>user</code></strong> (: <a href="pyxmpp.jabber.muc.MucRoomUser-class.html" class="link">MucRoomUser</a>) - : the sender.</li>
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : is the message stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="room_configuration_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">room_configuration_error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.room_configuration_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Called when an error stanza is received in reply to a room
configuration request.</p>
<p>By default <a href="pyxmpp.jabber.muc.MucRoomHandler-class.html#error" class="link">self.error</a> is called.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">error</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.muc-pysrc.html#MucRoomHandler.error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Called when an error stanza is received.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza</code></strong> (: <a href="pyxmpp.stanza.Stanza-class.html" class="link">pyxmpp.stanza.Stanza</a>) - : the stanza received.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:01 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
